Get a workspace role
curl --request GET \
--url https://www.ruddr.io/api/workspace/workspace-roles/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/workspace-roles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/workspace-roles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/workspace-roles/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/workspace-roles/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/workspace-roles/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/workspace-roles/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a3f1c2e4-8b47-4d9e-b6f2-3c7a5d1e9f04",
"name": "Senior Engineer",
"isActive": true,
"isBillable": true,
"rate": 175,
"currency": "USD",
"createdAt": "2025-03-12T14:22:38.104Z",
"discipline": {
"id": "5a7e3d9b-1c42-4f6e-8a0d-4b9c2e7f5a13",
"name": "Software Development"
},
"practice": {
"id": "9e4b7c1a-2f63-4a8d-b5e0-7d2c6f3a1b89",
"name": "Engineering"
},
"location": {
"id": "c8d2f5b3-6e14-4c7a-a9b1-2e8f4d6c0a35",
"name": "New York"
}
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Workspace and Client Rate Cards' is not enabled."
}{
"status": 404,
"message": "Object with id 'e1b7a5d4-9c63-4f08-a4d3-d6e0f8b24c59' not found."
}Workspace Roles
Get a workspace role
GET
/
workspace-roles
/
{id}
Get a workspace role
curl --request GET \
--url https://www.ruddr.io/api/workspace/workspace-roles/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/workspace-roles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/workspace-roles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/workspace-roles/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/workspace-roles/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/workspace-roles/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/workspace-roles/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a3f1c2e4-8b47-4d9e-b6f2-3c7a5d1e9f04",
"name": "Senior Engineer",
"isActive": true,
"isBillable": true,
"rate": 175,
"currency": "USD",
"createdAt": "2025-03-12T14:22:38.104Z",
"discipline": {
"id": "5a7e3d9b-1c42-4f6e-8a0d-4b9c2e7f5a13",
"name": "Software Development"
},
"practice": {
"id": "9e4b7c1a-2f63-4a8d-b5e0-7d2c6f3a1b89",
"name": "Engineering"
},
"location": {
"id": "c8d2f5b3-6e14-4c7a-a9b1-2e8f4d6c0a35",
"name": "New York"
}
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Workspace and Client Rate Cards' is not enabled."
}{
"status": 404,
"message": "Object with id 'e1b7a5d4-9c63-4f08-a4d3-d6e0f8b24c59' not found."
}A company-wide role and rate used to build a rate card. Workspace roles can be added or linked to client-specific rate cards.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The workspace role uuid.
Response
200
The unique identifier for the object.
The name of the workspace role.
Whether the workspace role is active.
Whether the workspace role is billable.
The billing rate for the workspace role. null when isBillable is false.
The 3-letter currency code for the workspace role. null when isBillable is false.
The timestamp when the object was created.
The discipline associated with this workspace role, if any.
Show child attributes
Show child attributes
The practice associated with this workspace role, if any.
Show child attributes
Show child attributes
The location associated with this workspace role, if any.
Show child attributes
Show child attributes